searchNodes=[{"ref":"Mailroom.html","title":"Mailroom","type":"module","doc":""},{"ref":"Mailroom.IMAP.html","title":"Mailroom.IMAP","type":"module","doc":"Handles communication with a IMAP server. Example: {:ok, client} = Mailroom.IMAP.connect(&quot;imap.server&quot;, &quot;username&quot;, &quot;password&quot;) client |&gt; Mailroom.IMAP.list |&gt; Enum.each(fn(mail)) -&gt; message = client |&gt; Mailroom.IMAP.retrieve(mail) |&gt; Enum.join(&quot;\\n&quot;) # … process message Mailroom.IMAP.delete(client, mail) end) Mailroom.IMAP.reset(client) Mailroom.IMAP.close(client)"},{"ref":"Mailroom.IMAP.html#add_flags/4","title":"Mailroom.IMAP.add_flags/4","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#cancel_idle/1","title":"Mailroom.IMAP.cancel_idle/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#child_spec/1","title":"Mailroom.IMAP.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Mailroom.IMAP.html#close/1","title":"Mailroom.IMAP.close/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#connect/4","title":"Mailroom.IMAP.connect/4","type":"function","doc":"Connect to the IMAP server The following options are available: ssl - default false, connect via SSL or not port - default 110 (995 if SSL), the port to connect to timeout - default 15_000, the timeout for connection and communication Examples: Mailroom.IMAP.connect(&quot;imap.server&quot;, &quot;me&quot;, &quot;secret&quot;, ssl: true) {:ok, pid}"},{"ref":"Mailroom.IMAP.html#copy/3","title":"Mailroom.IMAP.copy/3","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#each/3","title":"Mailroom.IMAP.each/3","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#email_count/1","title":"Mailroom.IMAP.email_count/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#examine/2","title":"Mailroom.IMAP.examine/2","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#expunge/1","title":"Mailroom.IMAP.expunge/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#fetch/4","title":"Mailroom.IMAP.fetch/4","type":"function","doc":"Fetches the items for the specified message or range of messages Examples: &gt; IMAP.fetch(client, 1, [:uid]) #… &gt; IMAP.fetch(client, 1..3, [:fast, :uid]) #…"},{"ref":"Mailroom.IMAP.html#idle/2","title":"Mailroom.IMAP.idle/2","type":"function","doc":"Options :timeout - (integer) number of milliseconds before terminating the idle command if no update has been received. Defaults to 1_500_00 (25 minutes)"},{"ref":"Mailroom.IMAP.html#idle/4","title":"Mailroom.IMAP.idle/4","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#init/1","title":"Mailroom.IMAP.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Mailroom.IMAP.html#list/3","title":"Mailroom.IMAP.list/3","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#logout/1","title":"Mailroom.IMAP.logout/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#mailbox/1","title":"Mailroom.IMAP.mailbox/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#recent_count/1","title":"Mailroom.IMAP.recent_count/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#remove_flags/4","title":"Mailroom.IMAP.remove_flags/4","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#search/4","title":"Mailroom.IMAP.search/4","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#select/2","title":"Mailroom.IMAP.select/2","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#set_flags/4","title":"Mailroom.IMAP.set_flags/4","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#state/1","title":"Mailroom.IMAP.state/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#status/3","title":"Mailroom.IMAP.status/3","type":"function","doc":""},{"ref":"Mailroom.IMAP.html#unseen_count/1","title":"Mailroom.IMAP.unseen_count/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.BodyStructure.html","title":"Mailroom.IMAP.BodyStructure","type":"module","doc":""},{"ref":"Mailroom.IMAP.BodyStructure.html#get_attachments/2","title":"Mailroom.IMAP.BodyStructure.get_attachments/2","type":"function","doc":""},{"ref":"Mailroom.IMAP.BodyStructure.html#has_attachment?/1","title":"Mailroom.IMAP.BodyStructure.has_attachment?/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.BodyStructure.html#new/1","title":"Mailroom.IMAP.BodyStructure.new/1","type":"function","doc":"Generates a BodyStructure struct from the IMAP ENVELOPE list"},{"ref":"Mailroom.IMAP.BodyStructure.Part.html","title":"Mailroom.IMAP.BodyStructure.Part","type":"module","doc":""},{"ref":"Mailroom.IMAP.Envelope.html","title":"Mailroom.IMAP.Envelope","type":"module","doc":""},{"ref":"Mailroom.IMAP.Envelope.html#new/1","title":"Mailroom.IMAP.Envelope.new/1","type":"function","doc":"Generates an Envelope struct from the IMAP ENVELOPE list"},{"ref":"Mailroom.IMAP.Envelope.html#normalize/1","title":"Mailroom.IMAP.Envelope.normalize/1","type":"function","doc":""},{"ref":"Mailroom.IMAP.Envelope.Address.html","title":"Mailroom.IMAP.Envelope.Address","type":"module","doc":""},{"ref":"Mailroom.IMAP.Envelope.Address.html#new/3","title":"Mailroom.IMAP.Envelope.Address.new/3","type":"function","doc":""},{"ref":"Mailroom.IMAP.Envelope.Address.html#normalize/1","title":"Mailroom.IMAP.Envelope.Address.normalize/1","type":"function","doc":""},{"ref":"Mailroom.Inbox.html","title":"Mailroom.Inbox","type":"module","doc":""},{"ref":"Mailroom.Inbox.html#match/1","title":"Mailroom.Inbox.match/1","type":"macro","doc":""},{"ref":"Mailroom.Inbox.Match.html","title":"Mailroom.Inbox.Match","type":"module","doc":""},{"ref":"Mailroom.Inbox.MatchUtils.html","title":"Mailroom.Inbox.MatchUtils","type":"module","doc":""},{"ref":"Mailroom.Inbox.MatchUtils.html#generate_mail_info/2","title":"Mailroom.Inbox.MatchUtils.generate_mail_info/2","type":"function","doc":""},{"ref":"Mailroom.Inbox.MatchUtils.html#match_all/1","title":"Mailroom.Inbox.MatchUtils.match_all/1","type":"function","doc":""},{"ref":"Mailroom.Inbox.MatchUtils.html#match_bcc/2","title":"Mailroom.Inbox.MatchUtils.match_bcc/2","type":"function","doc":""},{"ref":"Mailroom.Inbox.MatchUtils.html#match_cc/2","title":"Mailroom.Inbox.MatchUtils.match_cc/2","type":"function","doc":""},{"ref":"Mailroom.Inbox.MatchUtils.html#match_from/2","title":"Mailroom.Inbox.MatchUtils.match_from/2","type":"function","doc":""},{"ref":"Mailroom.Inbox.MatchUtils.html#match_has_attachment?/1","title":"Mailroom.Inbox.MatchUtils.match_has_attachment?/1","type":"function","doc":""},{"ref":"Mailroom.Inbox.MatchUtils.html#match_recipient/2","title":"Mailroom.Inbox.MatchUtils.match_recipient/2","type":"function","doc":""},{"ref":"Mailroom.Inbox.MatchUtils.html#match_subject/2","title":"Mailroom.Inbox.MatchUtils.match_subject/2","type":"function","doc":""},{"ref":"Mailroom.Inbox.MatchUtils.html#match_to/2","title":"Mailroom.Inbox.MatchUtils.match_to/2","type":"function","doc":""},{"ref":"Mailroom.Inbox.MessageContext.html","title":"Mailroom.Inbox.MessageContext","type":"module","doc":""},{"ref":"Mailroom.Inbox.State.html","title":"Mailroom.Inbox.State","type":"module","doc":""},{"ref":"Mailroom.POP3.html","title":"Mailroom.POP3","type":"module","doc":"Handles communication with a POP3 server. Example: {:ok, socket} = Mailroom.POP3.connect(&quot;pop3.server&quot;, &quot;username&quot;, &quot;password&quot;) socket |&gt; Mailroom.POP3.list |&gt; Enum.each(fn(mail)) -&gt; message = client |&gt; Mailroom.POP3.retrieve(mail) |&gt; Enum.join(&quot;\\n&quot;) # … process message Mailroom.POP3.delete(socket, mail) end) Mailroom.POP3.reset(socket) Mailroom.POP3.close(socket)"},{"ref":"Mailroom.POP3.html#close/1","title":"Mailroom.POP3.close/1","type":"function","doc":"Sends the QUIT command and closes the connection Examples: Mailroom.POP3.close(socket) :ok"},{"ref":"Mailroom.POP3.html#connect/4","title":"Mailroom.POP3.connect/4","type":"function","doc":"Connect to the POP3 server The following options are available: ssl - default false, connect via SSL or not port - default 110 (995 if SSL), the port to connect to timeout - default 15_000, the timeout for connection and communication Examples: Mailroom.POP3.connect(&quot;pop3.myserver&quot;, &quot;me&quot;, &quot;secret&quot;, ssl: true) {:ok, %Mailroom.Socket{}}"},{"ref":"Mailroom.POP3.html#delete/2","title":"Mailroom.POP3.delete/2","type":"function","doc":"Marks a message for deletion. Examples: &gt; Mailroom.POP3.delete(socket, {1, 100}) :ok &gt; Mailroom.POP3.delete(socket, 1) :ok"},{"ref":"Mailroom.POP3.html#list/1","title":"Mailroom.POP3.list/1","type":"function","doc":"Retrieves a list of all messages Examples: Mailroom.POP3.list(socket) [{1, 100}, {2, 200}]"},{"ref":"Mailroom.POP3.html#quit/1","title":"Mailroom.POP3.quit/1","type":"function","doc":"Sends the QUIT command to end the transaction. Examples: &gt; Mailroom.POP3.reset(socket) :ok"},{"ref":"Mailroom.POP3.html#reset/1","title":"Mailroom.POP3.reset/1","type":"function","doc":"Resets all messages marked for deletion. Examples: &gt; Mailroom.POP3.reset(socket) :ok"},{"ref":"Mailroom.POP3.html#retrieve/2","title":"Mailroom.POP3.retrieve/2","type":"function","doc":"Retrieves a message. Examples: &gt; Mailroom.POP3.retrieve(socket, {1, 100}) [&quot;Date: Fri, 30 Sep 2016 10:48:00 +0200&quot;, &quot;Subject: Test message&quot;, &quot;To: user@example.com&quot;, &quot;&quot;, &quot;Test message&quot;] &gt; Mailroom.POP3.retrieve(socket, 1) [&quot;Date: Fri, 30 Sep 2016 10:48:00 +0200&quot;, &quot;Subject: Test message&quot;, &quot;To: user@example.com&quot;, &quot;&quot;, &quot;Test message&quot;]"},{"ref":"Mailroom.POP3.html#stat/1","title":"Mailroom.POP3.stat/1","type":"function","doc":"Retrieves the number of available messages and the total size in octets Examples: Mailroom.POP3.stat(socket) {12, 13579}"},{"ref":"Mailroom.SMTP.html","title":"Mailroom.SMTP","type":"module","doc":""},{"ref":"Mailroom.SMTP.html#connect/2","title":"Mailroom.SMTP.connect/2","type":"function","doc":""},{"ref":"Mailroom.SMTP.html#fqdn/0","title":"Mailroom.SMTP.fqdn/0","type":"function","doc":""},{"ref":"Mailroom.SMTP.html#quit/1","title":"Mailroom.SMTP.quit/1","type":"function","doc":""},{"ref":"Mailroom.SMTP.html#send_message/4","title":"Mailroom.SMTP.send_message/4","type":"function","doc":""},{"ref":"Mailroom.Socket.html","title":"Mailroom.Socket","type":"module","doc":"Abstracts away working with normal sockets or SSL sockets. Examples {:ok, socket} = Mailroom.Socket.connect(&quot;localhost&quot;, 110) {:ok, ssl_socket} = Mailroom.Socket.connect(&quot;localhost&quot;, 110, ssl: true) Mailroom.Socket.send(socket, &quot;Hello World&quot;) Mailroom.Socket.send(ssl_socket, &quot;Hello World&quot;) Mailroom.Socket.close(socket) Mailroom.Socket.close(ssl_socket)"},{"ref":"Mailroom.Socket.html#close/1","title":"Mailroom.Socket.close/1","type":"function","doc":"Closes the connection Examples :ok = Mailroom.Socket.close(socket)"},{"ref":"Mailroom.Socket.html#connect/3","title":"Mailroom.Socket.connect/3","type":"function","doc":"Connect to a TCP server on port The following options are available: ssl - default false, connect via SSL or not timeout - default 15000, sets the socket connect and receive timeout debug - default false, if true, will print out connection communication Examples {:ok, socket} = Mailroom.Socket.connect(&quot;localhost&quot;, 110, ssl: true)"},{"ref":"Mailroom.Socket.html#recv/1","title":"Mailroom.Socket.recv/1","type":"function","doc":"Receive a line from the socket Examples {:ok, line} = Mailroom.Socket.recv(socket)"},{"ref":"Mailroom.Socket.html#send/2","title":"Mailroom.Socket.send/2","type":"function","doc":"Send data on a socket Examples :ok = Mailroom.Socket.send(socket)"},{"ref":"Mailroom.Socket.html#ssl_client/1","title":"Mailroom.Socket.ssl_client/1","type":"function","doc":""},{"ref":"Mailroom.Socket.html#t:t/0","title":"Mailroom.Socket.t/0","type":"type","doc":""},{"ref":"readme.html","title":"Mailroom","type":"extras","doc":"Mailroom Send, receive and process emails."},{"ref":"readme.html#example","title":"Mailroom - Example:","type":"extras","doc":"alias Mailroom.POP3 {:ok, client} = POP3.connect(server, username, password, port: port, ssl: true) client |&gt; POP3.list |&gt; Enum.each(fn(mail) -&gt; {:ok, message} = POP3.retrieve(client, mail) # process message :ok = POP3.delete(client, mail) end) :ok = POP3.reset(client) :ok = POP3.close(client)"},{"ref":"readme.html#installation","title":"Mailroom - Installation","type":"extras","doc":"If available in Hex, the package can be installed as: Add mailroom to your list of dependencies in mix.exs: def deps do [{:mailroom, &quot;~&gt; 0.0.1&quot;}] end Ensure mailroom is started before your application: def application do [applications: [:mailroom]] end"}]